# Uses of Class
java.security.KeyPairGenerator

Packages that use KeyPairGenerator
Package
Description
java.security
Provides the classes and interfaces for the security framework.

## Uses of KeyPairGenerator in java.security

Methods in java.security that return KeyPairGenerator
Modifier and Type
Method
Description
`static KeyPairGenerator`
KeyPairGenerator.`getInstance(String algorithm)`
Returns a `KeyPairGenerator` object that generates public/private key pairs for the specified algorithm.
`static KeyPairGenerator`
KeyPairGenerator.`getInstance(String algorithm, String provider)`
Returns a `KeyPairGenerator` object that generates public/private key pairs for the specified algorithm.
`static KeyPairGenerator`
KeyPairGenerator.`getInstance(String algorithm, Provider provider)`
Returns a `KeyPairGenerator` object that generates public/private key pairs for the specified algorithm.